TESTING/EIG/sbdt02.f(3)

NAME
TESTING/EIG/sbdt02.f

SYNOPSIS

  Functions/Subroutines
subroutine sbdt02 (m, n, b, ldb, c, ldc, u, ldu, work, resid)
SBDT02

Function/Subroutine Documentation

  subroutine sbdt02 (integer m, integer n, real, dimension( ldb, * ) b, integer ldb, real, dimension( ldc, * ) c, integer ldc, real, dimension( ldu, * ) u, integer ldu, real, dimension( * ) work, real resid)

SBDT02

Purpose:

     SBDT02 tests the change of basis C = U**H * B by computing the
     residual
        RESID = norm(B - U * C) / ( max(m,n) * norm(B) * EPS ),
     where B and C are M by N matrices, U is an M by M orthogonal matrix,
     and EPS is the machine precision.

Parameters
    M

              M is INTEGER
              The number of rows of the matrices B and C and the order of
              the matrix Q.

    N

              N is INTEGER
              The number of columns of the matrices B and C.

    B

              B is REAL array, dimension (LDB,N)
              The m by n matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,M).

    C

              C is REAL array, dimension (LDC,N)
              The m by n matrix C, assumed to contain U**H * B.

    LDC

              LDC is INTEGER
              The leading dimension of the array C.  LDC >= max(1,M).

    U

              U is REAL array, dimension (LDU,M)
              The m by m orthogonal matrix U.

    LDU

              LDU is INTEGER
              The leading dimension of the array U.  LDU >= max(1,M).

    WORK

              WORK is REAL array, dimension (M)

    RESID

              RESID is REAL
              RESID = norm(B - U * C) / ( max(m,n) * norm(B) * EPS ),

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 111 of file sbdt02.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.